<mat-icon class="close-icon" (click)="closeDialog()">close</mat-icon> 
<div class="container">
  <div mat-dialog-content class="dialog-content">
    <span class="text--alert text-size--subtitle">{{data.message}}</span>
  </div>
  <div mat-dialog-actions>
    <button 
      mat-button 
      color="warn" 
      cdkFocusInitial 
      (click)="closeDialog()"
      [mat-dialog-close] ="false"
    >No</button>
    <button 
      mat-button
      [mat-dialog-close] ="true"
    >Yes</button>
  </div>
</div>